<?php
  $Seccion      = 'Cursos';
  $SubSeccion   = 'Cursos';
  $NameSec      = 'Cursos';
  $Position     = '../../';
  $UrlImgs      = 'images/cursos';
  $Pagina       = '1';

  require_once($Position.'config/config.php');
  require_once($Position.'config/conexion.php');
  require_once($Position.'config/user.php');
  require_once($Position.'funciones/acces.php');
  require_once($Position.'funciones/logout.php');
  require_once($Position.'funciones/funciones.php');
	require_once($Position.'funciones/extras.php');
	require_once($Position.'funciones/idiomas.php');
  require_once($Position.'funciones/resize-class.php');

  $Hoy      = date('Y-m-d');
  $HoyFecha = CambioFechaInversa($Hoy);

  //Save
  if( $_POST['Save'] == 'Ok' ){

    //Datos de formulario
    $Action        = $_POST['Action'];

    $ImgNew        = $_POST['ImgNew'];
    $TipoCurso     = $_POST['TipoCurso'];
    $Expositor     = $_POST['Expositor'];
    $Destacado     = $_POST['Destacado'];
    $FechaInicio   = CambioFechaCompleta($_POST['FechaInicio']);
    $Precio        = $_POST['Precio'];
    $Activo        = $_POST['Activo'];
    $Info          = $_POST['Info'];

    $Titulo 			 = $Info[1][Titulo];

    $Sesions       = $_POST['Sesions'];
    $Sesion        = $_POST['Sesion'];

    $Cats          = $_POST['Cats'];
    $Cat           = $_POST['Cat'];

    if( $Img ){}else{ $Img = '0'; }

    //Inserta Nuevo Registro
    if( $Action == 'New' ){

      //Inserta Item
      $Query = "
        INSERT INTO CMS_Cursos
        (
          Fk_CursoTipo, FechaInicio,
          Fk_Expositor,
          Titulo, Destacado,
          Precio, Activo
        )
        VALUES (
          '$TipoCurso', '$FechaInicio',
          '$Expositor',
          '$Titulo', '$Destacado',
          '$Precio', '$Activo'
        )
      ";
      $Result = mysqli_query($mysqli, $Query);
      $Id = mysqli_insert_id($mysqli);

    }
    //End Inserta Nuevo Registro

    //Edita datos
    if( $Action == 'Edit' ){

      $Id		= $_POST['Id'];

      //Update
      $Query = "
        UPDATE CMS_Cursos
        SET
          Fk_CursoTipo  = '$TipoCurso',
          Fk_Expositor  = '$Expositor',
          FechaInicio   = '$FechaInicio',
          Titulo        = '$Titulo',
          Destacado     = '$Destacado',
          Precio        = '$Precio',
          Activo        = '$Activo'
        WHERE Id = '$Id'
      ";
      $Result = mysqli_query($mysqli, $Query);

      $Saved = 'Ok';

    }
    //End Edita datos

    //Idiomas
    foreach ($Idiomas AS $Idi) {

      $i_Titulo 				  = $Info[$Idi][Titulo];
      $i_Subtitulo 				= $Info[$Idi][Subtitulo];
      $i_Descripcion 			= $Info[$Idi][Descripcion];
      $i_Contenido 				= $Info[$Idi][Contenido];

      //Valida Info en Idioma
      $Query = "
        SELECT
          ite.Id
        FROM CMS_CursosIdiomas ite
        WHERE
          ite.Fk_Curso = '$Id'
          AND ite.Fk_Idioma = '$Idi'
      ";
      $Result  = mysqli_query($mysqli, $Query);
      $ItemIdi = mysqli_fetch_assoc($Result);
      if( $ItemIdi[Id] ){

        //Update Idioma
        $Query = "
          UPDATE CMS_CursosIdiomas
          SET
            Titulo              = '$i_Titulo',
            Subtitulo           = '$i_Subtitulo',
            Contenido           = '$i_Contenido'
          WHERE Id = '$ItemIdi[Id]'
        ";
        $Result = mysqli_query($mysqli, $Query);

      }else{

        //Insert Idioma
        $Query = "
          INSERT INTO CMS_CursosIdiomas
          (
            Fk_Curso,
            Fk_Idioma,
            Titulo,
            Subtitulo,
            Contenido
          )
          VALUES (
            '$Id',
            '$Idi',
            '$i_Titulo',
            '$i_Subtitulo',
            '$i_Contenido'
          )
        ";
        $Result = mysqli_query($mysqli, $Query);

      }

    }
    //End Idiomas

    //Sesiones
    $Query = "
      UPDATE CMS_CursosSesiones
      SET
        Borrar = '1'
      WHERE Fk_Curso = '$Id'
    ";
    $Result = mysqli_query($mysqli, $Query);

    foreach( $Sesions AS $Ses ){
      $Action    = $Sesion[$Ses]['Action'];
      $IdSesion  = $Sesion[$Ses]['Id'];
      $Fecha     = $Sesion[$Ses]['Fecha'];
      $Fecha     = CambioFechaCompleta($Fecha);
      $Precio    = $Sesion[$Ses]['Precio'];
      $Link      = $Sesion[$Ses]['Link'];

      if( $Action == 'New' ){

        //Insert
        $Query = "
          INSERT INTO CMS_CursosSesiones
          (
            Fk_Curso,
            Fecha, Link, Precio
           )
        	VALUES
          (
            '$Id',
            '$Fecha', '$Link', '$Precio'
          )
        ";
        $Result = mysqli_query($mysqli, $Query);
        $IdSes = mysqli_insert_id($mysqli);

      }elseif( $Action == 'Edit' ){

        //Update
        $Query = "
          UPDATE CMS_CursosSesiones
          SET
            Fecha   = '$Fecha',
            Link    = '$Link',
            Precio  = '$Precio',
            Borrar  = '0'
          WHERE Id = '$IdSesion'
        ";
        $Result = mysqli_query($mysqli, $Query);

      }
    }

    $Query = "
      DELETE FROM CMS_CursosSesiones
      WHERE
        Fk_Curso = '$Id'
        AND Borrar = '1'
    ";
    $Result = mysqli_query($mysqli, $Query);
    //End Sesiones

    //Categorias
    $Query = "
      UPDATE CMS_Cursos_Categorias
      SET
        Borrar = '1'
      WHERE Fk_Curso = '$Id'
    ";
    $Result = mysqli_query($mysqli, $Query);

    foreach( $Cats AS $Cate ){
      $Action    = $Cat[$Cate]['Action'];
      $IdCat     = $Cat[$Cate]['Id'];
      $Categ       = $Cat[$Cate]['Cat'];
      if( $Action == 'New' ){

        //Insert
        $Query = "
          INSERT INTO CMS_Cursos_Categorias
          (
            Fk_Curso,
            Fk_Categoria
           )
        	VALUES
          (
            '$Id',
            '$Categ'
          )
        ";
        $Result = mysqli_query($mysqli, $Query);
        $IdCats = mysqli_insert_id($mysqli);

      }elseif( $Action == 'Edit' ){

        //Update
        $Query = "
          UPDATE CMS_Cursos_Categorias
          SET
            Fk_Categoria   = '$Categ',
            Borrar = '0'
          WHERE Id = '$IdCat'
        ";
        $Result = mysqli_query($mysqli, $Query);

      }
    }

    $Query = "
      DELETE FROM CMS_Cursos_Categorias
      WHERE
        Fk_Curso = '$Id'
        AND Borrar = '1'
    ";
    $Result = mysqli_query($mysqli, $Query);
    //End Categorias

    //Sube Imagen Desk
    $Imagen = "image";
    if(empty($_FILES[$Imagen]['name'])){}else{
      $_FILES[$Imagen]["name"];
      $allowedExts = array("JPEG", "jpeg", "jpg", "JPG");
      $temp = explode(".", $_FILES[$Imagen]["name"]);
      $extension = end($temp);
      if((
      ($_FILES[$Imagen]["type"] == "image/jpeg")
      || ($_FILES[$Imagen]["type"] == "image/jpg")
      || ($_FILES[$Imagen]["type"] == "image/JPEG")
      || ($_FILES[$Imagen]["type"] == "image/JPG")
      )
      && ($_FILES[$Imagen]["size"] < 10000000)
      && in_array($extension, $allowedExts)) {
      if ($_FILES[$Imagen]["error"] > 0) {
      }else{

        //RootSite del Sitio Seleccionado
        $ImageUp  = $RootSite.'/'.$UrlImgs."/".$Id.".jpg";
        $ImageUpm = $RootSite.'/'.$UrlImgs."/".$Id."m.jpg";

        if ( move_uploaded_file($_FILES[$Imagen]["tmp_name"], $ImageUp) ){

          //echo "Img Up";
          chmod($ImageUp, 0777);
          //Ajuste de tamaño
          $width = getWidth($ImageUp);
          $height = getHeight($ImageUp);
          $max_width = "1800";
          if ($width > $max_width){
            $scale = $max_width/$width;
            $resizeObj = new resize($ImageUp);
            $resizeObj -> resizeImage(1800, 985, 'crop');
            $resizeObj -> saveImage($ImageUp, 70);
          }else{
            $scale = 1;
            $resizeObj = new resize($ImageUp);
            $resizeObj -> resizeImage(1800, 985, 'crop');
            $resizeObj -> saveImage($ImageUp, 70);
          }

          if ( copy($ImageUp, $ImageUpm) ){

            $resizeObj = new resize($ImageUpm);
            $resizeObj -> resizeImage(600, 329, 'crop');
            $resizeObj -> saveImage($ImageUpm, 70);

          }

        }else{
          //echo "Img Not<br>";
          print_r(error_get_last());
        }

      }}else{
      }
    }
    //End Sube Imagen Desk


    //Redirecciona
    if( $Action == 'New' ){
      echo '<script type="text/javascript">document.location.href="?Id='.$Id.'&New=Ok"</script>';
    }
    //End Redirecciona

  }
  //End Save

  //Navegation Line
  $SecLine      = array($NameSec, 'Item');
  $SecLineRute  = array(
    $Position.'Cursos',
    '#'
  );

  //Item
  $Query = "
    SELECT
      cur.Id,
      cur.Fk_CursoTipo,
      cur.Fk_Expositor,
      cur.FechaInicio,
      cur.Titulo,
      cur.Precio,
      cur.Destacado,
      cur.Activo
    FROM CMS_Cursos cur
    WHERE
      cur.Id = '$_GET[Id]'
  ";
  $Result = mysqli_query($mysqli, $Query);
  $Item = mysqli_fetch_assoc($Result);

?>

<!DOCTYPE html>
<html lang="en">

<?php require_once($Position.'head.php'); ?>

<style>
  .OrdenarBoxes { list-style-type: none; margin: 0; padding: 0; width: 100%; }
  .OrdenarBoxes li { float: left; width: 100%;}
  .sortable-placeholder{
    height: 150px !important;
    width: 100%;
    border: 1px dotted #333333 !important;
    background: #dbdbdb !important;
  }
  .BoxesSort li{
    background: #ffffff;
    border: 1px solid rgba(120, 130, 140, 0.13);
    padding: 8px 16px;
    margin: 4px 0px;
    height: auto;
    width: 100%;
    cursor:move;
    position: relative;
  }
</style>

<body class="fix-sidebar fix-header card-no-border">
  <?php
    mysqli_data_seek($Fonts, 0);
    while($Font = mysqli_fetch_array($Fonts)) {
      if( $Font['Link'] ){
          echo '<link href="'.$Font['Link'].'" rel="stylesheet">';
      }
    }
  ?>

    <div class="preloader">
      <svg class="circular" viewBox="25 25 50 50">
      <circle class="path" cx="50" cy="50" r="20" fill="none" stroke-width="2" stroke-miterlimit="10" /> </svg>
    </div>

    <div id="main-wrapper">
      <?php require_once($Position.'header.php'); ?>
      <?php require_once($Position.'menu.php'); ?>

      <div class="page-wrapper">

        <form method="post" enctype="multipart/form-data" data-validate="parsley" role="form" id="FormPer">
          <div class="container-fluid">

            <div class="row page-titles page-titles-fixed">

                <?php require_once($Position.'title.php'); ?>

                <!-- Botones -->
                <div class="col-md-7 align-self-center text-right">
                  <div class="btn-group" role="group" aria-label="Basic example">

                    <!-- Btn Regresar -->
                    <button
                      type="button"
                      class="btn btn-sm btn-secondary"
                      onclick="window.location.href='../'"
                    >
                      Regresar
                      <i class="fa fa-arrow-left m-l-5"></i>
                    </button>
                    <!-- End Btn Regresar -->

                    <!-- Btn Guardar -->
                    <button
                      type="submit"
                      class="btn btn-sm btn-secondary"
                    >
                      Guardar
                      <i class="fa fa-check m-l-5"></i>
                    </button>
                    <!-- End Btn Guardar -->

                    <input type="hidden" name="Save" value="Ok">
                    <?php if( !empty($Item['Id']) ){ ?>
                      <input type="hidden" name="Id" value="<?php echo $Item['Id']; ?>">
                      <input type="hidden" name="Action" value="Edit">
                    <?php }else{ ?>
                      <input type="hidden" name="Action" value="New">
                    <?php } ?>

                  </div>
                </div>
                <!-- End Botones -->

            </div>

            <!-- Inner -->
            <div class="row inner-fixed-content">

              <div class="col-sm-12">

                <!-- Nav tabs -->
  							<ul class="nav nav-tabs tabcontent-border" role="tablist">

  								<!-- Información -->
  								<li class="nav-item">
  									<a class="nav-link active" data-toggle="tab" href="#Informacion" role="tab">
  										<span class="hidden-sm-up"><i class="ti-user"></i></span>
  										<span class="hidden-xs-down">Información</span>
  									</a>
  								</li>
  								<!-- End Información -->

                  <!-- Categorias -->
  								<li class="nav-item">
  									<a class="nav-link" data-toggle="tab" href="#Categorias" role="tab">
  										<span class="hidden-sm-up"><i class="ti-user"></i></span>
  										<span class="hidden-xs-down">Categorías</span>
  									</a>
  								</li>
  								<!-- End Categorias -->

                  <!-- Imagen -->
  								<li class="nav-item">
  									<a class="nav-link" data-toggle="tab" href="#Imagen" role="tab">
  										<span class="hidden-sm-up"><i class="ti-user"></i></span>
  										<span class="hidden-xs-down">Imagen</span>
  									</a>
  								</li>
  								<!-- End Imagen -->

  								<!-- Sesiones -->
  								<li class="nav-item">
  									<a class="nav-link" data-toggle="tab" href="#Sesiones" role="tab">
  										<span class="hidden-sm-up"><i class="ti-user"></i></span>
  										<span class="hidden-xs-down">Sesiones</span>
  									</a>
  								</li>
  								<!-- End Sesiones -->

  								<!-- Precios -->
  								<li class="nav-item">
  									<a class="nav-link" data-toggle="tab" href="#Precios" role="tab">
  										<span class="hidden-sm-up"><i class="ti-user"></i></span>
  										<span class="hidden-xs-down">Precios</span>
  									</a>
  								</li>
  								<!-- End Precios -->

                  <!-- Usuarios -->
  								<li class="nav-item">
  									<a class="nav-link" data-toggle="tab" href="#Usuarios" role="tab">
  										<span class="hidden-sm-up"><i class="ti-user"></i></span>
  										<span class="hidden-xs-down">Usuarios</span>
  									</a>
  								</li>
  								<!-- End Usuarios -->

  							</ul>
  							<!-- End Nav tabs -->

                <!-- Tabs Content -->
                <div class="tab-content tabcontent-border">

                  <!-- Tab Información -->
                  <div class="tab-pane card-body active" id="Informacion" role="tabpanel">

                    <div class="row">

                      <!-- Activo -->
                      <div class="col-sm-6 form-group">
                        <label>Visible</label>
                        <select
                          name="Activo"
                          class="form-control chosen-select"
                        >
                          <option
                            value="0"
                            <?php
                              if( $Item['Activo'] == '0' ){
                                echo "selected";
                              }
                            ?>
                          >
                            No
                          </option>
                          <option
                            value="1"
                            <?php
                              if( $Item['Activo'] == '1' || !$Item['Id'] ){
                                echo "selected";
                              }
                            ?>
                          >
                            Si
                          </option>
                        </select>
                      </div>
                      <!-- End Activo -->

                      <!-- Destacado -->
                      <div class="col-sm-6 form-group">
                        <label>Destacado</label>
                        <select
                          name="Destacado"
                          class="form-control chosen-select"
                        >
                          <option
                            value="0"
                            <?php
                              if( $Item['Destacado'] == '0' ){
                                echo "selected";
                              }
                            ?>
                          >
                            No
                          </option>
                          <option
                            value="1"
                            <?php
                              if( $Item['Destacado'] == '1' || !$Item['Id'] ){
                                echo "selected";
                              }
                            ?>
                          >
                            Si
                          </option>
                        </select>
                      </div>
                      <!-- End Destacado -->

                      <!-- Tipo de Curso -->
                      <div class="form-group col-sm-12">
                        <label class="col-form-label">
                          Tipo de Curso
                        </label>
                        <div class="">
                          <select
                            name="TipoCurso"
                            class="form-control chosen-select"
                          >
                            <option value="0"></option>
                            <?php
                              //Tipos de Crusos
                              $Query = "
                                SELECT
                                  tip.Id, tip.Tipo
                                FROM CMS_CursosTipos tip
                                WHERE
                                  tip.Id != '0'
                                ORDER BY tip.Tipo ASC
                              ";
                              $Tipos = $mysqli->query($Query);
                              mysqli_data_seek($Tipos, 0);
                              while($Tipo = mysqli_fetch_array($Tipos)) {
                            ?>
                              <option
                                value="<?php echo $Tipo['Id']; ?>"
                                <?php
                                  if( $Item['Fk_CursoTipo'] == $Tipo['Id'] ){
                                    echo "selected";
                                  }elseif( (!$Item[Id] && ( $Tipo[Id] == '1') || !$Item['Fk_CursoTipo'] ) ){
                                    echo "selected";
                                  }
                                ?>
                              >
                                <?php echo $Tipo['Tipo']; ?>
                              </option>
                            <?php } ?>
                          </select>
                        </div>
                      </div>
                      <!-- End Tipo de Curso -->

                      <!-- Expositor -->
                      <div class="form-group col-sm-12">
                        <label class="col-form-label">
                          Expositor
                        </label>
                        <div class="">
                          <select
                            name="Expositor"
                            class="form-control chosen-select"
                          >
                            <option value="0"></option>
                            <?php
                              //Tipos de Crusos
                              $Query = "
                                SELECT
                                  exp.Id,
                                  exp.Nombre, exp.Apellidos
                                FROM CMS_Expositores exp
                                WHERE
                                  exp.Id != '0'
                                ORDER BY exp.Nombre ASC, exp.Apellidos ASC
                              ";
                              $Exps = $mysqli->query($Query);
                              mysqli_data_seek($Exps, 0);
                              while($Exp = mysqli_fetch_array($Exps)) {
                            ?>
                              <option
                                value="<?php echo $Exp['Id']; ?>"
                                <?php
                                  if( $Item['Fk_Expositor'] == $Exp['Id'] ){
                                    echo "selected";
                                  }
                                ?>
                              >
                                <?php echo $Exp['Nombre'].' '.$Exp['Apellidos']; ?>
                              </option>
                            <?php } ?>
                          </select>
                        </div>
                      </div>
                      <!-- End Tipo de Curso -->

                      <!-- FechaInicio --
                      <div class="form-group col-sm-12">
                        <label class="col-form-label">
                          Fecha de Inicio
                        </label>
                        <div class="">
                          <input
                            name="FechaInicio"
                            type="text"
                            class="form-control datepicker"
                            autocomplete="off"
                            value="<?php
                              if( $Item['FechaInicio'] ){
                                echo CambioFechaInversa($Item['FechaInicio']);
                              }else{
                                echo CambioFechaInversa(date('Y-m-d'));
                              }
                            ?>"
                          >
                        </div>
                      </div>
                      <!-- End FechaInicio -->

                      <div class="col-sm-12">

                        <!-- Nav tabs Idiomas -->
                        <ul class="nav nav-tabs tabcontent-border" role="tablist">
                          <?php
                            //Idiomas
                            foreach ($Idiomas AS $Idi) {
                          ?>
                            <li class="nav-item">
                              <a class="nav-link <?php if( $Idi == 1 ){ echo "active"; } ?>"
                                data-toggle="tab"
                                href="#tab1-<?php echo $Idi; ?>"
                              >
                                <span class="hidden-sm-up"><i class="ti-user"></i></span>
                                <span class="hidden-xs-down"><?php echo $Idioma[$Idi][Nombre] ?></span>
                              </a>
                            </li>
                          <?php	} ?>
                        </ul>
                        <!-- End Nav tabs Idiomas -->

                        <!-- tabs inner -->
                        <div class="tab-content tabcontent-border">
                          <?php
                            //Idiomas
                            foreach ($Idiomas AS $Idi) {

                              //Pagina Idiomas
                              $Query = "
                                SELECT
                                  idi.Id,
                                  idi.Titulo,
                                  idi.Subtitulo,
                                  idi.Contenido
                                FROM CMS_CursosIdiomas idi
                                WHERE
                                  idi.Fk_Idioma = '$Idi'
                                  AND idi.Fk_Curso = '$Item[Id]'
                              ";
                              $Result = mysqli_query($mysqli, $Query);
                              $PagIdi = mysqli_fetch_assoc($Result);
                          ?>
                            <div
                              class="tab-pane card-body <?php if( $Idi == 1 ){ echo 'active'; } ?>"
                              id="tab1-<?php echo $Idi; ?>"
                              role="tabpanel"
                            >
                              <h4>
                                <?php echo $Idioma[$Idi][Nombre]; ?>
                              </h4>

                              <div class="row">

                                <!-- Titulo -->
                                <div class="form-group col-sm-12">
                                  <label class="col-form-label">
                                    Titulo
                                  </label>
                                  <div class="">
                                    <input
                                      name="Info[<?php echo $Idi; ?>][Titulo]"
                                      type="text"
                                      class="form-control"
                                      autocomplete="off"
                                      data-trigger="change"
                                      value="<?php echo $PagIdi['Titulo'];?>"
                                    >
                                  </div>
                                </div>
                                <!-- End Titulo -->

                                <!-- Subtitulo -->
                                <div class="form-group col-sm-12">
                                  <label class="col-form-label">
                                    Subtitulo
                                  </label>
                                  <div class="">
                                    <input
                                      name="Info[<?php echo $Idi; ?>][Subtitulo]"
                                      type="text"
                                      class="form-control"
                                      autocomplete="off"
                                      data-trigger="change"
                                      value="<?php echo $PagIdi['Subtitulo'];?>"
                                    >
                                  </div>
                                </div>
                                <!-- End Subtitulo -->

                                <!-- Contenido -->
                                <div class="form-group col-sm-12">
                                  <label class="col-form-label">
                                    Contenido
                                  </label>
                                  <div class="">
                                    <textarea
                                      name="Info[<?php echo $Idi; ?>][Contenido]"
                                      type="text"
                                      class="form-control TextArea"
                                      autocomplete="off"
                                      data-trigger="change"
                                    ><?php echo $PagIdi['Contenido'];?></textarea>
                                  </div>
                                </div>
                                <!-- End Contenido -->

                              </div>

                            </div>
                          <?php } ?>
                        </div>
                        <!-- End tabs inner -->

                      </div>

                    </div>

                  </div>
                  <!-- End Tab Información -->

                  <!-- Tab Categorias -->
                  <div class="tab-pane card-body" id="Categorias" role="tabpanel">

                    <!-- Categorias -->
                    <div class="Categorias">
                    <?php
                      $SegCat = 0;
                      if( $Item[Id] ){
                        //Sesiones
                        $Query = "
                          SELECT
                            cat.Id,
                            cat.Fk_Categoria
                          FROM CMS_Cursos_Categorias cat
                          WHERE cat.Fk_Curso = '$Item[Id]'
                        ";
                        $Categorias = $mysqli->query($Query);
                        mysqli_data_seek($Categorias, 0);
                        while($Categoria = mysqli_fetch_array($Categorias)) {
                          $SegCat = $SegCat + 1;
                          require('categoria.php');
                        }
                      }
                    ?>
                    </div>
                    <!-- End Categorias -->

                    <div>
                      <!-- Btn Add Categoria -->
                      <button
                      type="button"
                      class="btn btn-sm btn-secondary AddCategoria"
                      value="<?php echo $SegCat; ?>"
                      >
                        Agregar Categoría
                        <i class="fa fa-plus m-l-5"></i>
                      </button>
                      <!-- End Btn Add Categoria -->
                    </div>

                  </div>
                  <!-- End Tab Categorias -->

                  <!-- Tab Sesiones -->
                  <div class="tab-pane card-body" id="Sesiones" role="tabpanel">

                    <!-- Sesiones -->
                    <div class="Sesiones">
                    <?php
                      $SegSes = 0;
                      if( $Item[Id] ){
                        //Sesiones
                        $Query = "
                          SELECT
                            ses.Id, ses.Fecha, ses.Link, ses.Precio
                          FROM CMS_CursosSesiones ses
                          WHERE ses.Fk_Curso = '$Item[Id]'
                          ORDER BY ses.Fecha ASC
                        ";
                        $Sesiones = $mysqli->query($Query);
                        mysqli_data_seek($Sesiones, 0);
                        while($Ses = mysqli_fetch_array($Sesiones)) {
                          $SegSes = $SegSes + 1;
                          require('sesion.php');
                        }
                      }
                    ?>
                    </div>
                    <!-- End Sesiones -->

                    <div>
                      <!-- Btn Add Sesion -->
                      <button
                      type="button"
                      class="btn btn-sm btn-secondary AddSesion"
                      value="<?php echo $SegSes; ?>"
                      >
                        Agregar Sesión
                        <i class="fa fa-plus m-l-5"></i>
                      </button>
                      <!-- End Btn Add Sesion -->
                    </div>


                  </div>
                  <!-- End Tab Sesiones -->

                  <!-- Tab Precios -->
                  <div class="tab-pane card-body" id="Precios" role="tabpanel">

                    <div class="row">

                      <!-- Precio -->
                      <div class="form-group col-sm-12">
                        <label class="col-form-label">
                          Precio
                        </label>
                        <div class="">
                          <input
                            name="Precio"
                            type="text"
                            class="form-control"
                            autocomplete="off"
                            value="<?php
                              if( $Item['Precio'] ){
                                echo $Item['Precio'];
                              }else{
                                echo '0';
                              }
                            ?>"
                          >
                        </div>
                      </div>
                      <!-- End Precio -->

                    </div>

                  </div>
                  <!-- End Tab Precios -->

                  <!-- Tab Imagen -->
                  <div class="tab-pane card-body" id="Imagen" role="tabpanel">

                    <div class="row">

                      <!-- Img -->
                      <div class="col-sm-5">
                        <?php
                          $Image = $RootSite.'/'.$UrlImgs.'/'.$Item['Id'].'m.jpg';
                          if (file_exists($Image)) {
                        ?>
                          <div class="m-b-10">
                            <img
                              class="img-responsive"
                              src="<?php echo $UrlSite.'/'.$UrlImgs.'/'.$Item['Id'].'m.jpg'; ?>"
                            >
                          </div>
                        <?php } ?>
                      </div>
                      <!-- End Img -->

                      <!-- ImgIn -->
                      <div class="col-sm-7">
                        <label for="input-file-now-custom-1">
                          La fotografía deberá estar en la siguiente resolución: 1800 pxw x 985 pxh y 72 dpi;
                          <strong>solo se acepta formato jpg.</strong>
                        </label>
                        <input name="image" type="file" accept="jpg" id="input-file-now-custom-1" class="dropify"/>
                      </div>
                      <!-- End ImgIn -->

                    </div>

                  </div>
                  <!-- End Tab Imagen -->

                  <!-- Tab Usuarios -->
                  <div class="tab-pane card-body" id="Usuarios" role="tabpanel">

                    <div class="row">

                    </div>

                  </div>
                  <!-- End Tab Usuarios -->


                </div>
                <!-- End Tabs Content -->

            </div>
            <!-- End Inner -->

          </div>
        </form>
      </div>

      <?php require_once($Position.'footer.php'); ?>

    </div>

    <?php require_once($Position.'scripts.php'); ?>
    <script src="<?php echo $Position; ?>js/extra.js"></script>

    <script>
      $(document).ready(function(){

        // Actualiza Imagenes
        $("img").each(function(){
          $(this).attr('src', $(this).attr('src')+'?'+Math.random());
        });

        //Date datepicker
        $('.datepicker').datepicker({
          autoclose: true,
          todayHighlight: true,
          format: "dd / MM / yyyy",
          startView: 2
        });
        //End Date datepicker

        //Seleccion de Fuente
        $(document.body).on('change', '.FontSel' ,function(){
          $("option:selected", this).each(function () {
            font = $( this ).data( "font" );
            console.log(font);
            $( this ).parents('.FontSel').css("font-family", font);
            $( this ).parents('.FontSel').parents('.form-group').find('.chosen-single').css("font-family", font);
          });
        });

        $( ".OrdenarBoxes" ).sortable({});

        //DelAct
  			$(document.body).on('click', '.BtnDelAct' ,function(){
  				$(this).parents('.ItemBox').remove();
  			});
  			//End DelAct

        //Add Item
  			Next = <?php if( $CountItems ){ echo $CountItems; }else{ echo "0"; } ?>;
  			$(document.body).on('click', '.BtnAddActividad' ,function(){
  				Action = 'New';
  				Item = $('.AddSelActividad').val();
  				Next = Next + 1;
  				if( Item ){
  					$.post("actividad.php", { Action: Action, Item: Item }, function(data){
  						$('.Actividades').append(data);
  						$( ".OrdenarBoxes" ).sortable({});
  					});
  				}
  			});
  			//End Add Item

        //Add Sesion
        var segcontses = <?php if( $SegSes ){ echo $SegSes; }else{ echo '0'; } ?>;
        $(document.body).on('click', '.AddSesion' ,function(){
          var Sesiones = $('.Sesiones');
          var cont = $(this).val();
          $('#FormPer').parsley().destroy();
          segcontses = segcontses + 1;
          action = 'New';
          $.post("sesion.php", { seg: segcontses, cont: cont, action: action }, function(data){
            Sesiones.append(data);
            $(".chosen-select").chosen();
            $('.chosen-select').trigger("chosen:updated");
            $('.datepicker').datepicker({
              autoclose: true,
              todayHighlight: true,
              format: "dd / MM / yyyy",
              startView: 0
            });
            $('#FormPer').parsley();
          });
        });
        //End Add Sesion

        //DelAct
  			$(document.body).on('click', '.DelSesion' ,function(){
  				$(this).parents('.Sesion').remove();
  			});
  			//End DelAct

        //Add Categoria
        var segcontcats = <?php if( $SegCat ){ echo $SegCat; }else{ echo '0'; } ?>;
        $(document.body).on('click', '.AddCategoria' ,function(){
          var Sesiones = $('.Categorias');
          var cont = $(this).val();
          $('#FormPer').parsley().destroy();
          segcontcats = segcontcats + 1;
          action = 'New';
          $.post("categoria.php", { seg: segcontcats, cont: cont, action: action }, function(data){
            Sesiones.append(data);
            $(".chosen-select").chosen();
            $('.chosen-select').trigger("chosen:updated");
            $('#FormPer').parsley();
          });
        });
        //End Add Categoria

        //DelCat
  			$(document.body).on('click', '.DelCategoria' ,function(){
  				$(this).parents('.Categoria').remove();
  			});
  			//End DelCat

      });
    </script>
    <!-- End Extra js -->

    <!-- Cerrar Conexion -->
    <?php require_once($Position.'cerrarconexion.php'); ?>
    <!-- End Cerrar Conexion -->

</body>

</html>
